package com.bocloud.nms.model.agile.vas;

import java.util.Date;
import java.util.List;

/**
 * @Company: 博云 www.bocloud.com
 * @ClassName: HuaVasModel
 * @Description:逻辑VAS网元
 * @author: zhenpingLi/李振平
 * @date: 2020/3/13 10:50
 */
//是否融入firewall表，待调研
public class AgileVasModel {
    private String uuid; //逻辑VAS网元对象标识，该字段不支持更新。
    private String name; //逻辑VAS网元对象名称，该字段不支持更新。
    private String remark; //逻辑VAS网元对象描述。
    private String type;//逻辑VAS网元类型。枚举类型，支持取值：Firewall：防火墙；FirewallOutControl：脱管防火墙。该字段不支持更新。
    private String vpcUuid;//逻辑VAS所在的VPC标识，该字段不支持更新。
    private String logicRouterUuid;//逻辑VAS连接的逻辑路由器，VAS类型为Firewall或者FirewallOutControl时必填，该字段不支持更新。
    private String sdnTenantUuid;//所属租户，该字段不支持更新。
    private List<String> vasPoolUuids;//关联vaspool标识列表，该字段不支持更新
    private String producer; //配置来源
    private Date gmtCreate; //创建时间 gmt_create
    private Date gmtModify; //更新时间 gmt_modify

    public String getUuid() {
        return uuid;
    }

    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getVpcUuid() {
        return vpcUuid;
    }

    public void setVpcUuid(String vpcUuid) {
        this.vpcUuid = vpcUuid;
    }

    public String getLogicRouterUuid() {
        return logicRouterUuid;
    }

    public void setLogicRouterUuid(String logicRouterUuid) {
        this.logicRouterUuid = logicRouterUuid;
    }

    public String getSdnTenantUuid() {
        return sdnTenantUuid;
    }

    public void setSdnTenantUuid(String sdnTenantUuid) {
        this.sdnTenantUuid = sdnTenantUuid;
    }

    public List<String> getVasPoolUuids() {
        return vasPoolUuids;
    }

    public void setVasPoolUuids(List<String> vasPoolUuids) {
        this.vasPoolUuids = vasPoolUuids;
    }

    public String getProducer() {
        return producer;
    }

    public void setProducer(String producer) {
        this.producer = producer;
    }

    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }

    public Date getGmtModify() {
        return gmtModify;
    }

    public void setGmtModify(Date gmtModify) {
        this.gmtModify = gmtModify;
    }
}
